#include "monreadwrite.h"

#include "semaphores.h"
#include <unistd.h>
#include <fcntl.h>
#include <sys/stat.h>

int mon_read(char * nomfic){
  int no,fd;
  while(lock("readwrite") == 0 );
  if ( (fd = open(nomfic,O_RDONLY)) == -1 )
    return -1;
  read(fd,&no,sizeof(int));   
  close(fd);
  unlock("readwrite");
  return no;
}

int mon_write(char *nomfic,int *no){
  int fd;
  while( lock("readwrite") == 0 );
  if((fd = open(nomfic,O_WRONLY|O_CREAT,S_IRUSR|S_IWUSR)) == -1)
    return -1;
  write(fd,no,sizeof(int));      
  close(fd);
  unlock("readwrite");
  return 0;
}
